/*******************************************************************************
** Copyright (c) 1992-2025 MAK Technologies, Inc
** All rights reserved.
*******************************************************************************/
//! \file timeRepNode.h
//! \ingroup omtReader
#pragma once



#include <omtReader/omtReader.h>
#include <vlutil/vlString.h>
#ifdef DtUSE_UTILITIES_NAMESPACE
namespace DtUSE_UTILITIES_NAMESPACE
{
#endif
class DT_DLL_OMTREADER DtTimeRepNode
{
public:
   
   //! Default Constructor
   DtTimeRepNode();
   
   //! Destructor
   virtual ~DtTimeRepNode();

   //! Copy Constructor
   DtTimeRepNode(const DtTimeRepNode& orig);

   //! Assignment Operator
   DtTimeRepNode& operator=(const DtTimeRepNode& rhs);
   
   virtual void setFedTimeDatatype(const DtString&);
   virtual const DtString& getFedTimeDatatype() const;

   virtual void setFedTimeSemantics(const DtString&);
   virtual const DtString& getFedTimeSemantics() const;
   
   virtual void setLookaheadDatatype(const DtString&);
   virtual const DtString& getLookaheadDatatype() const;

   virtual void setLookaheadSemantics(const DtString&);
   virtual const DtString& getLookaheadSemantics() const;
      
protected:
    DtString myFedTimeDatatype;
    DtString myFedTimeSemantics;
    DtString myLookaheadDatatype;
    DtString myLookaheadSemantics;

};




#ifdef DtUSE_UTILITIES_NAMESPACE
} // end of namespace DtUSE_UTILITIES_NAMESPACE
#endif
